/* © SRSoftware 2025 */
package de.srsoftware.umbrella.core.api;

import de.srsoftware.umbrella.core.exceptions.UmbrellaException;
import de.srsoftware.umbrella.core.model.Note;
import java.util.Map;

public interface NoteService {
	void deleteEntity(String task, String taskId);

	Map<Long,Note> getNotes(String module, String entityId) throws UmbrellaException;

	Note save(Note note);

	void updateId(String module, Object oldId, Object newId);
}
